# PluginVideoEncoder< NAME > Class Template Reference

`#include <opalplugin.hpp>`

Inheritance diagram for PluginVideoEncoder< NAME >:

[legend]
Collaboration diagram for PluginVideoEncoder< NAME >:
[legend]

## Public Member Functions

| PluginVideoEncoder (const PluginCodec_Definition *defn)
virtual bool | SetOption (const char *optionName, const char *optionValue)
| Set an individual option of the given name.
virtual bool | GetActiveOptions (PluginCodec_OptionMap &options)
| Get options that are "active" and may be different from the last SetOptions() call.
virtual size_t | GetPacketSpace (const PluginCodec_RTP &rtp, size_t total)

## Protected Attributes

unsigned | m_width
unsigned | m_height
unsigned | m_maxRTPSize
unsigned | m_tsto
unsigned | m_keyFramePeriod

### template<typename NAME>
class PluginVideoEncoder< NAME >

## Constructor & Destructor Documentation

template<typename NAME>

PluginVideoEncoder< NAME >::PluginVideoEncoder | ( | const PluginCodec_Definition * | defn | ) | `[inline]`

## Member Function Documentation

template<typename NAME>

virtual bool PluginVideoEncoder< NAME >::GetActiveOptions | ( | PluginCodec_OptionMap & | options | ) | `[inline, virtual]`

Get options that are "active" and may be different from the last SetOptions() call.

Reimplemented from PluginCodec< NAME >.

template<typename NAME>

virtual size_t PluginVideoEncoder< NAME >::GetPacketSpace | ( | const PluginCodec_RTP & | rtp,
|  | size_t | total |
| ) |  |  | `[inline, virtual]`

template<typename NAME>

virtual bool PluginVideoEncoder< NAME >::SetOption | ( | const char * | optionName,
|  | const char * | optionValue |
| ) |  |  | `[inline, virtual]`

Set an individual option of the given name.

Reimplemented from PluginCodec< NAME >.

## Field Documentation

template<typename NAME>

unsigned PluginVideoEncoder< NAME >::m_height `[protected]`

template<typename NAME>

unsigned PluginVideoEncoder< NAME >::m_keyFramePeriod `[protected]`

template<typename NAME>

unsigned PluginVideoEncoder< NAME >::m_maxRTPSize `[protected]`

template<typename NAME>

unsigned PluginVideoEncoder< NAME >::m_tsto `[protected]`

template<typename NAME>

unsigned PluginVideoEncoder< NAME >::m_width `[protected]`

The documentation for this class was generated from the following file:

- opalplugin.hpp